/*
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */
/* Occasion States Shortcode Styles */

.widthauto {
    width: auto !important;
    --width:auto !important;
}

.colorred {
    color: #C0162D;
}

.vendre-jeux, .qui-sommes-nous {
    display: flex !important;
    /* gap: ; */
    align-items: center;
    padding-left: 20px !important;
}
.vendre-jeux::before, .qui-sommes-nous::before {
    display: inline-block;
    content: "";
    height: 22px;
    width: 22px;
    margin-right: 5px !important;
    background-repeat: no-repeat;
    background-size: contain;
}

.vendre-jeux::before {
    background-image: url('/wp-content/uploads/2026/02/newgameplus-rachat-jeux.svg');
}

.qui-sommes-nous::before {
    background-image: url('/wp-content/uploads/2026/02/newgameplus-qui-sommes-nous-b.svg');
}

.qui-sommes-nous a {
    margin-inline-start: 0 !important;
}
/* Style pour la quantité sur la page produit */
.addtocartwidget .quantity {
    display: flex;
    flex-direction: row;
}
.addtocartwidget .quantity .qty-minus {
    background-color: #FAFAFA !important;
    color: #0C0914 !important;
    border: solid 1px #D5D7DA !important;
    border-radius: 25px 0 0 25px !important;
}

.addtocartwidget .quantity .qty-plus {
    background-color: #FAFAFA !important;
    color: #0C0914 !important;
    border: solid 1px #D5D7DA !important;
    border-radius: 0 25px 25px 0 !important;
    margin-block-start: 0 !important;
}

.addtocartwidget .quantity .input-text {
    border: solid 1px #D5D7DA !important;
}

.addtocartwidget .quantity .input-text {
    width: 5em !important;
}

.addtocartwidget .single_add_to_cart_button {
    margin-top: 10px !important;
    width: 100% !important;
    background-color: #C0162D !important;
    color: white !important;
    font-size: 16px !important;
    font-weight: 500 !important;
    padding: 15px 10px !important;
    border: solid 1px #C0162D !important;

}

.elementor-element-2371cb0 .addtocartwidget .single_add_to_cart_button {
    border-radius: 25px !important;
}

.elementor-element-9d1d103 .addtocartwidget .single_add_to_cart_button {
    border-radius: 25px 0 0 25px !important;
}

.in-stock {
    color: #C0162D !important;
    font-weight: 600 !important;
}

.etat-select {
    border: solid 1px #D5D7DA !important;
    border-radius: 12px !important;
}

.woocommerce-Button,
.woocommerce-button
 {
    margin-top: 20px !important;
    background-color: #C0162D !important;
    color: white !important;
    font-size: 16px !important;
    font-weight: 500 !important;
    border-radius: 20px;
}

.elementor-button--view-cart, .elementor-button--checkout {
    background-color: #C0162D !important;
}

.wc-block-cart__submit-button, .wc-block-components-checkout-place-order-button,
.wp-block-button__link.add_to_cart_button.ajax_add_to_cart,
.wp-block-button__link.add_to_cart_button {
    background-color: #C0162D !important;
    color: white !important;
    font-size: 16px !important;
    font-weight: 500 !important;
    border-radius: 20px;
}

.wc-block-components-totals-coupon__button {
    background-color: #C0162D !important;
    color: white !important;
    font-size: 14px !important;
    font-weight: 400 !important;
    border-radius: 20px;
    padding: 10px 10px !important;
}

.wc-block-components-checkout-place-order-button::active {
    background-color: #C0162D !important;
}

.wc-block-components-product-name {
    font-size:16px !important;
}

.wp-block-woocommerce-cart {
    padding: 40px 0 !important;
}

.woocommerce-form__label-for-checkbox { display: block !important;}



@media (min-width: 1025px) {
    ul.sub-menu li a {
    padding: 20px 40px 20px 5px!important;
    display: flex;
    align-items: center;
    justify-content: space-between;
    position: relative;
    }

    ul.sub-menu li a::after {
        content: '';
        display: inline-block;
        width: 24px !important;  /* ajuste la taille selon ton SVG */
        height: 24px !important;
        background-image: url('/wp-content/uploads/2026/02/newgameplus-fleche-menu-r.svg');
        background-repeat: no-repeat;
        background-size: contain;
        background-position: center;
        opacity: 0;
        transform: translateX(-6px);
        transition: opacity 0.25s ease, transform 0.25s ease;

    }

    ul.sub-menu li a:hover::after {
        opacity: 1;
        transform: translateX(0);
    }

}


.product.type-product.outofstock .woocommerce-product-gallery img,
.swiper-slide.outofstock .elementor-widget-theme-post-featured-image img {
    filter: grayscale(60%) opacity(.75) !important;
}

.wp-block-woocommerce-cart.alignwide {
    margin-inline: 0px !important;
}

.ngp-truncate div a {
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    white-space: normal;
}

@media (max-width: 768px) {
    .ngp-truncate div a{
        display: -webkit-box;
        -webkit-line-clamp: 3 !important;
        -webkit-box-orient: vertical;
        overflow: hidden;
        white-space: normal;
    }
}

button.sw-point-info-btn {
    background-color: #C0162D !important;
}

.ngp-badge-occas {
    position: absolute !important;
    top: 12px !important;
    right: auto !important;
    left: 12px !important;
    z-index: 2 !important;
    font-family: 'Montserrat', sans-serif !important;
    font-size: 12px !important;
    font-weight: 700 !important;
    padding: 4px 9px !important;
    border-radius: 4px !important;
    line-height: 1.4 !important;
    background: #C0162D !important;
}

.woocommerce span.onsale {
    display: none !important;
}

@media (min-width: 1240px) and (max-width: 1400px) {
    .elementor-element-70a6c1d {
        --padding-left: 8% !important;
        --padding-right:8% !important;
    }
}
@media (min-width: 1110px) and (max-width: 1239px) {
    .elementor-element-70a6c1d {
        --padding-left: 40px !important;
        --padding-right:40px !important;
    }
}
@media (min-width: 1025px) and (max-width: 1109px) {
    .elementor-element-70a6c1d {
        --padding-left: 20px !important;
        --padding-right:20px !important;
        gap: 10px !important;
    }

    .elementor-element-70a6c1d .e-con-inner{
        gap: 10px !important;
    }

}